<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>5/0/0</td>
</tr><tr>
<td>Started on:</td><td>Mon Feb 27 14:10:48 IST 2023</td>
</tr>
<tr><td>Total time:</td><td>22 seconds (22256 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.demostep.Demo_runner.runScenario()'><b>runScenario</b><br>Test class: com.demostep.Demo_runner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Login Demowebshop", "DemoWebShop Automation"</td>
<td></td>
<td>8</td>
<td>com.demostep.Demo_runner@769e7ee8</td></tr>
<tr>
<td title='com.demostep.Demo_runner.runScenario()'><b>runScenario</b><br>Test class: com.demostep.Demo_runner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Select two books and add to cart", "DemoWebShop Automation"</td>
<td></td>
<td>1</td>
<td>com.demostep.Demo_runner@769e7ee8</td></tr>
<tr>
<td title='com.demostep.Demo_runner.runScenario()'><b>runScenario</b><br>Test class: com.demostep.Demo_runner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Under electronics add cellphone to cart", "DemoWebShop Automation"</td>
<td></td>
<td>5</td>
<td>com.demostep.Demo_runner@769e7ee8</td></tr>
<tr>
<td title='com.demostep.Demo_runner.runScenario()'><b>runScenario</b><br>Test class: com.demostep.Demo_runner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "select giftcard and print its details", "DemoWebShop Automation"</td>
<td></td>
<td>5</td>
<td>com.demostep.Demo_runner@769e7ee8</td></tr>
<tr>
<td title='com.demostep.Demo_runner.runScenario()'><b>runScenario</b><br>Test class: com.demostep.Demo_runner<br>Test method: Runs Cucumber Scenarios<br>Parameters: "Logout Demowebshop", "DemoWebShop Automation"</td>
<td></td>
<td>0</td>
<td>com.demostep.Demo_runner@769e7ee8</td></tr>
</table><p>
</body>
</html>